%define	origver	1.79
%define m17nver	m17n-19991117
%define m17nver_	m17n_19991117

Summary: Multilingualized nex/nvi text editors
Name: nvi
Version: %{origver}.%{m17nver_}
Release: 2
Group: Applications/Editors
Copyright: distributable
Source: ftp://ftp.foretune.co.jp/pub/tools/nvi-m17n/%{name}-%{origver}.tar.gz
Patch0: ftp://ftp.foretune.co.jp/pub/tools/nvi-m17n/%{name}-%{origver}.%{m17nver}.diff.gz
Patch1: %{name}-1.79.m17n-19990331.mkdir.patch
URL: http://www.itojun.org/itojun.j.html
Prefix: /usr
BuildRoot: /var/tmp/%{name}-%{version}-root
Summary(ja): ¿첽 nex/nvi ƥȡǥ

%description
Multilingualized nex/nvi text editors

This package is splited in the following.
- %{name}		: common part, must be installed
- %{name}-canna	: binaries with support canna
- %{name}-nocanna	: binaries without support canna
One and only one of these binaries packages must be installed.

%description -l ja
¿첽 nex/nvi ƥȡǥ

ΥѥåϰʲΤ褦ʬ䤵줿ޤ
- %{name}		: ʬɬ󥹥ȡ뤷Ƥ
- %{name}-canna	: ǥХʥ
- %{name}-nocanna	: 󤫤ǥХʥ
ХʥꡦѥåϤɤ餫ҤȤĤ󥹥ȡ뤷Ƥ

%package canna
Summary: Multilingualized nex/nvi text editors (canna version)
Group: Applications/Editors
#Requires: %{name} = %{version}
Summary(ja): ¿첽 nex/nvi ƥȡǥ ()

%description canna
This package includes the binaries with support canna.

%description -l ja canna
ΥѥåˤϤʤ򥵥ݡȤХʥ꤬ޤޤƤޤ

%package nocanna
Summary: Multilingualized nex/nvi text editors (non canna version)
Group: Applications/Editors
#Requires: %{name} = %{version}
Summary(ja): ¿첽 nex/nvi ƥȡǥ (󤫤)

%description nocanna
This package includes the binaries without support canna.

%description -l ja nocanna
ΥѥåˤϤʤ򥵥ݡȤƤʤХʥ꤬ޤޤƤޤ

%prep
%setup -q -n %{name}-%{origver}
%patch0 -p1
%patch1 -p1

%build
OPTS="--prefix=%{prefix} --program-prefix=n --enable-multibyte=euc-jp --disable-curses"
cd build
./configure ${OPTS}
make
cd -

# build canna version
CANNA="--enable-canna --program-suffix=-canna"
if [ ! -d build.canna ]; then
	mkdir build.canna
fi
cd build.canna
../build/configure ${OPTS} ${CANNA}
make
cd -

%install
rm -rf ${RPM_BUILD_ROOT}
cd build
make prefix="${RPM_BUILD_ROOT}%{prefix}" install
(cd ${RPM_BUILD_ROOT}%{prefix}/bin; mv nex nex-nocanna)
(cd ${RPM_BUILD_ROOT}%{prefix}/bin; mv nvi nvi-nocanna)
(cd ${RPM_BUILD_ROOT}%{prefix}/bin; mv nview nview-nocanna)
cd -

cd build.canna
make prefix="${RPM_BUILD_ROOT}%{prefix}" install
cd -

mkdir -p $RPM_BUILD_ROOT/var/preserve/vi.recover
chmod 777 $RPM_BUILD_ROOT/var/preserve/vi.recover

%clean
rm -rf ${RPM_BUILD_ROOT}

%post canna
ln -sf nex-canna /usr/bin/nex
ln -sf nvi-canna /usr/bin/nvi
ln -sf nview-canna /usr/bin/nview

%preun canna
if [ "$1" = 0 ]; then
	rm -rf /usr/bin/{nex,nvi,nview}
fi

%post nocanna
ln -sf nex-nocanna /usr/bin/nex
ln -sf nvi-nocanna /usr/bin/nvi
ln -sf nview-nocanna /usr/bin/nview

%preun nocanna
if [ "$1" = 0 ]; then
	rm -rf /usr/bin/{nex,nvi,nview}
fi

%files
%defattr(-, root, root)
%doc FAQ LAYOUT LICENSE README docs
%doc -P build/README* catalog/README cl/README.signal db/README
%doc -P ip/IP_INSTRUCTIONS regex/{COPYRIGHT,WHATSNEW}
%doc docs.m17n
%doc -P curses/README.m17n regex/README.m17n
%{prefix}/bin/qregular
%{prefix}/bin/regular
%{prefix}/man/man1/*.1*
%{prefix}/share/vi/
%dir /var/preserve/vi.recover

%files canna
%defattr(-, root, root)
%{prefix}/bin/*-canna

%files nocanna
%defattr(-, root, root)
%{prefix}/bin/*-nocanna

%changelog
* Mon Mar 27 2000 Chris Ding <cding@redhat.com>
- work with compressed man


* Mon Mar 27 2000 Chris Ding <cding@redhat.com>
- updated to m17n-19991117
- disabled curses
- added /var/preserve/vi.recover in %files

* Thu Oct  7 1999 Matt Wilson <msw@redhat.com>
- rebuilt against 6.1

* Tue Aug 24 1999 Atsushi Yamagata <yamagata@plathome.co.jp>
- built against RHL-6.0/i386
- "-" -> "_" in Version:

* Wed Aug 18 1999 Atsushi Yamagata <yamagata@plathome.co.jp>
- 1st release
